package CoreFS.SA06;

import java.util.ArrayList;

public class CoreUserInfo implements java.io.Serializable, ICoreUserInfo {

	private String strUserID = "";

	private String strUserName = "";

	private String strDepartment = "";

	private String strMachineIP = "";

	private String strMachineName = "";

	private String strLoginTime = "";

	private String strGuidCode = "";
	private String strRole = "";
    private String deptid  = "";
	public String getStrUserID() {
		return strUserID;
	}

	public void setStrUserID(String strUserID) {
		this.strUserID = strUserID;
	}

	public String getStrUserName() {
		return strUserName;
	}

	public void setStrUserName(String strUserName) {
		this.strUserName = strUserName;
	}

	public String getStrDepartment() {
		return strDepartment;
	}

	public void setStrDepartment(String strDepartment) {
		this.strDepartment = strDepartment;
	}

	public String getStrMachineIP() {
		return strMachineIP;
	}

	public void setStrMachineIP(String strMachineIP) {
		this.strMachineIP = strMachineIP;
	}

	public String getStrMachineName() {
		return strMachineName;
	}

	public void setStrMachineName(String strMachineName) {
		this.strMachineName = strMachineName;
	}

	public String getStrLoginTime() {
		return strLoginTime;
	}

	public void setStrLoginTime(String strLoginTime) {
		this.strLoginTime = strLoginTime;
	}

	public String getStrGuidCode() {
		return strGuidCode;
	}

	public void setStrGuidCode(String strGuidCode) {
		this.strGuidCode = strGuidCode;
	}

	/** ********************************************************************** */
	//add by sjw 20100301
	//desc 解决角色和读权限不对应的问题	
	
	private String strPurviewInfo="";
	public String GetPurviewInfo() {
		return strPurviewInfo;
	}

	public void SetPurviewInfo(String purviewInfo) {
		strPurviewInfo = purviewInfo;
	}
	
	private ArrayList strPurviewList;
	public ArrayList GetPurviewList() {
		return strPurviewList;
	}

	public void SetPurviewList(ArrayList purviewList) {
		strPurviewList = purviewList;
	}
	/** ********************************************************************** */

	/** ********************************************************************** */
	//add by sjw 20100301
	//desc 增加角色信息以便控制查询的权限
	public String getStrRole() {
		return strRole;
	}

	public void setStrRole(String strRole) {
		this.strRole = strRole;
	}
	/** ********************************************************************** */

	public String getDeptid() {
		return deptid;
	}

	public void setDeptid(String deptid) {
		this.deptid = deptid;
	}


}
